### Method

# Gtk IconViewset_markup_column

deprecated: 4.10

#### Declaration [src]

    void
    gtk_icon_view_set_markup_column (
      GtkIconView* icon_view,
      int column
    )

#### Description [src]

Sets the column with markup information for `icon_view` to be `column`. The markup column must be of type `G_TYPE_STRING`. If the markup column is set to something, it overrides the text column set by gtk_icon_view_set_text_column().

Deprecated since: 4.10

Use `GtkGridView` instead.

Sets property | `Gtk.IconView:markup-column`

#### Parameters

`column`

  Type: `int`

  A column in the currently used model, or -1 to display no text.